Subject: [Roll] Is MoP from (0 to 7) enough network operation modes, or is enough?

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 5 Jan 2018 22:43:20 +0200

In my opinion we use this MoP for the network operation not for discovery
operations. In RFC6997 registered 4, which is discovery on demand extension
for RPL. I think it will not make enough use for more important operations
related to networks of LLN requirements.

Routing protocols have two parts: route discovery and route
operation/maintenance, I think if we change the RPL operation or change the
network capability, then use MoP as done for 0, 1, 2, 3 registrations.

We need to make sure we look into answering for our LLN use cases (RFC5548,
RFC5673, RFC5826)  are they covering most of our MoP operations???

AB